# Uses of Enum Class
java.time.format.TextStyle

Packages that use TextStyle
Package
Description
java.time
The main API for dates, times, instants, and durations.
java.time.chrono
Generic API for calendar systems other than the default ISO.
java.time.format
Provides classes to print and parse dates and times.

## Uses of TextStyle in java.time

Methods in java.time with parameters of type TextStyle
Modifier and Type
Method
Description
`String`
DayOfWeek.`getDisplayName(TextStyle style, Locale locale)`
Gets the textual representation, such as 'Mon' or 'Friday'.
`String`
Month.`getDisplayName(TextStyle style, Locale locale)`
Gets the textual representation, such as 'Jan' or 'December'.
`String`
ZoneId.`getDisplayName(TextStyle style, Locale locale)`
Gets the textual representation of the zone, such as 'British Time' or '+02:00'.

## Uses of TextStyle in java.time.chrono

Methods in java.time.chrono with parameters of type TextStyle
Modifier and Type
Method
Description
`default String`
Chronology.`getDisplayName(TextStyle style, Locale locale)`
Gets the textual representation of this chronology.
`default String`
Era.`getDisplayName(TextStyle style, Locale locale)`
Gets the textual representation of this era.
`String`
HijrahEra.`getDisplayName(TextStyle style, Locale locale)`
Gets the textual representation of this era.
`String`
JapaneseEra.`getDisplayName(TextStyle style, Locale locale)`
Gets the textual representation of this era.
`String`
MinguoEra.`getDisplayName(TextStyle style, Locale locale)`
Gets the textual representation of this era.
`String`
ThaiBuddhistEra.`getDisplayName(TextStyle style, Locale locale)`
Gets the textual representation of this era.

## Uses of TextStyle in java.time.format

Methods in java.time.format that return TextStyle
Modifier and Type
Method
Description
`TextStyle`
TextStyle.`asNormal()`
Returns the normal style with the same size.
`TextStyle`
TextStyle.`asStandalone()`
Returns the stand-alone style with the same size.
`static TextStyle`
TextStyle.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TextStyle[]`
TextStyle.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.time.format with parameters of type TextStyle
Modifier and Type
Method
Description
`DateTimeFormatterBuilder`
DateTimeFormatterBuilder.`appendChronologyText(TextStyle textStyle)`
Appends the chronology name to the formatter.
`DateTimeFormatterBuilder`
DateTimeFormatterBuilder.`appendDayPeriodText(TextStyle style)`
Appends the day period text to the formatter.
`DateTimeFormatterBuilder`
DateTimeFormatterBuilder.`appendGenericZoneText(TextStyle textStyle)`
Appends the generic time-zone name, such as 'Pacific Time', to the formatter.
`DateTimeFormatterBuilder`
DateTimeFormatterBuilder.`appendGenericZoneText(TextStyle textStyle, Set<ZoneId> preferredZones)`
Appends the generic time-zone name, such as 'Pacific Time', to the formatter.
`DateTimeFormatterBuilder`
DateTimeFormatterBuilder.`appendLocalizedOffset(TextStyle style)`
Appends the localized zone offset, such as 'GMT+01:00', to the formatter.
`DateTimeFormatterBuilder`
DateTimeFormatterBuilder.`appendText(TemporalField field, TextStyle textStyle)`
Appends the text of a date-time field to the formatter.
`DateTimeFormatterBuilder`
DateTimeFormatterBuilder.`appendZoneText(TextStyle textStyle)`
Appends the time-zone name, such as 'British Summer Time', to the formatter.
`DateTimeFormatterBuilder`
DateTimeFormatterBuilder.`appendZoneText(TextStyle textStyle, Set<ZoneId> preferredZones)`
Appends the time-zone name, such as 'British Summer Time', to the formatter.